import { SetupContext } from '@vue/composition-api';
import { CreateElement } from 'vue';
import { TdBaseTableProps } from '../type';
import { TableColumns } from './useMultiHeader';
import { TNodeReturnValue } from '../../common';
export declare function renderTitle(h: CreateElement, slots: SetupContext['slots'], col: TableColumns[0], index: number): import("vue/types/vnode").ScopedSlotReturnValue;
export default function useTableHeader(props: TdBaseTableProps): {
    thList: import("@vue/composition-api").ComputedRef<import("../type").BaseTableCol<import("../type").TableRowData>[][]>;
    isMultipleHeader: import("@vue/composition-api").ComputedRef<boolean>;
    spansAndLeafNodes: import("@vue/composition-api").ComputedRef<{
        rowspanAndColspanMap: import("./useMultiHeader").ThRowspanAndColspan;
        leafColumns: import("../type").BaseTableCol<import("../type").TableRowData>[];
    }>;
    renderTitleWidthIcon: (h: CreateElement, [title, sortIcon, filterIcon]: TNodeReturnValue[]) => JSX.Element;
};
